package dev.kske.chess.game;

import dev.kske.chess.board.Board;
import dev.kske.chess.board.Piece.Color;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>Player.java</strong><br>
 * Created: <strong>06.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public abstract class Player {

	protected Game	game;
	protected Board	board;
	protected Color	color;

	public Player(Board board, Color color) {
		this.board	= board;
		this.color	= color;
	}

	public abstract void requestMove();

	public Game getGame() { return game; }

	public void setGame(Game game) { this.game = game; }

	public Board getBoard() { return board; }

	public void setBoard(Board board) { this.board = board; }

	public Color getColor() { return color; }

	public void setColor(Color color) { this.color = color; }
}
